import { jsx as _jsx, jsxs as _jsxs } from "react/jsx-runtime";
import classNames from 'classnames';
import { Stack, Headline, BodyText, Button, ButtonGroup, } from '@servicetitan/design-system';
import * as Styles from '../feature-spotlight.module.css';
export const TourPopover = ({ children, currentStep = 1, endText = 'Close', headerText, nextText = 'Next', onClose, onNext, totalStepCount = 1, }) => {
    return (_jsx(Stack, Object.assign({ direction: "column", className: classNames(Styles.featurePopover, 'Popper__body Popover__body Popover__body--open Popover--w-s p-x-3 p-y-2') }, { children: _jsxs(Stack.Item, Object.assign({ className: "m-t-half" }, { children: [headerText && _jsx(Headline, Object.assign({ size: "small" }, { children: headerText })), children, _jsxs(Stack, Object.assign({ direction: "row", alignItems: "center", justifyContent: "space-between", className: "m-t-2 m-b-half" }, { children: [_jsxs(BodyText, Object.assign({ subdued: true }, { children: [currentStep + 1, "/", totalStepCount] })), _jsxs(ButtonGroup, { children: [currentStep !== totalStepCount - 1 && (_jsx(Button, Object.assign({ fill: "subtle", size: "small", onClick: onClose }, { children: "Skip" }))), _jsx(Button, Object.assign({ size: "small", onClick: onNext, primary: true }, { children: currentStep !== totalStepCount - 1 ? nextText : endText }))] })] }))] })) })));
};
//# sourceMappingURL=tour-popover.js.map